Bug 419511 - snmpwalk does not return value for all OIDs
Summary: snmpwalk does not return value for all OIDs
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: net-snmp   
(Show other bugs)
Version: 5.1
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Jan Safranek
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On: 387091
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-12-11 10:22 UTC by Jan Safranek
Modified: 2008-05-21 15:42 UTC (History)
1 user (show)

Fixed In Version: RHBA-2008-0376
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-21 15:42:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0376 normal SHIPPED_LIVE net-snmp bug fix update 2008-05-20 13:20:48 UTC

Description Jan Safranek 2007-12-11 10:22:13 UTC
Description of problem:
Sometimes snmpd does not report all OIDs in hrDeviceTable. Namely hrDeviceStatus
and hrDeviceErrors are missing, if there is a 'hole' in the table.

snmpwalk -v 2c 10.227.159.15 -c public .1.3.6.1.2.1.25.3.2.1.5
HOST-RESOURCES-MIB::hrDeviceStatus = No Such Instance currently exists
at this OID

snmpwalk -v 2c 10.227.159.15 -c public .1.3.6.1.2.1.25.3.2.1.5.1025
HOST-RESOURCES-MIB::hrDeviceStatus.1025 = INTEGER: running(2)

Patch available at bug #387091

Comment 1 RHEL Product and Program Management 2007-12-11 10:24:25 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 6 errata-xmlrpc 2008-05-21 15:42:15 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0376.html



Note You need to log in before you can comment on or make changes to this bug.